%define major		5
%define libname 	%mklibname njb %{major}
%define develname	%mklibname njb -d

Name: 	 	libnjb
Summary:	A software library for talking to the Creative Nomad Jukeboxes and Dell DJs
Version: 	2.2.7
Release: 	%mkrel 5

Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libnjb-2.2.7-optimize-udev-rule.patch
URL:		https://sourceforge.net/projects/libnjb/
License:	BSD
Group:		System/Libraries

BuildRequires:  pkgconfig(libusb)
BuildRequires:  doxygen

# /usr/bin/play
Conflicts:      sox
# /usr/bin/sendfile
Conflicts:      sendfile 

%description
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n %{libname}
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.
This libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%makeinstall pkgdocdir=`pwd`/installed-docs

rm -f %{buildroot}%{_libdir}/*.la

#gw TODO fix device ownership
# Install udev rules file.
install -m644 libnjb.rules -D %{buildroot}%{_udevrulesdir}/60-libnjb.rules
install -m644 libnjb.fdi -D %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files
%doc AUTHORS ChangeLog FAQ HACKING  README LICENSE
%{_bindir}/*
%{_udevrulesdir}/60-libnjb.rules
%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files -n %{libname}
%{_libdir}/libnjb.so.%{major}{,.*}

%files -n %{develname}
%doc installed-docs/*
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jan 09 2021 pterjan <pterjan> 2.2.7-5.mga8
+ Revision: 1670235
- Add missing conflicts due to very generic cli names
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.2.7-4.mga8
+ Revision: 1514308
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.7-3.mga7
+ Revision: 1299049
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 2.2.7-2.mga7
+ Revision: 1235735
- fix build on aarch64
- drop old obsoletes/provides
+ kekepower <kekepower>
- Use make_build

* Tue May 10 2016 tv <tv> 2.2.7-1.mga6
+ Revision: 1012118
- new release
- rediff patch 0
- drop merged patch 1

* Mon Feb 08 2016 umeabot <umeabot> 2.2.6-16.mga6
+ Revision: 944781
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.6-15.mga5
+ Revision: 744402
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.6-14.mga5
+ Revision: 681653
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 2.2.6-13.mga5
+ Revision: 643710
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 2.2.6-12.mga4
+ Revision: 521074
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 fwang <fwang> 2.2.6-11.mga3
+ Revision: 388553
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 2.2.6-10.mga3
+ Revision: 357867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 fwang <fwang> 2.2.6-9.mga3
+ Revision: 307835
- drop .la file

* Mon Jan 24 2011 ahmad <ahmad> 2.2.6-9.mga1
+ Revision: 35870
- drop old/unneeded scriptlets
- imported package libnjb

